FROM CACHE - en_header

Unable to install Shopify in Windows 10

PratikPatel2
New Member
1 0 2

Hello,

I am trying to install Shopify on my local machine (Windows 10). I am facing some errors while installing Shopify on Windows 10 system. Following steps were followed while installing.

- Installed Ruby+Devkit 3.0.2-1 on Windows 10 system.

- Installed RubyGems from https://rubygems.org/pages/download  
- Post Installation the following gem was successfully installed from the terminal: gem install shopify-cli
- I have node, yarn, rails, sqlite3 installed in my local system.

- If I run the command shopify version after installation to check if the gem is installed correctly then the below error is displayed.

D:\>shopify version
C:/Ruby30-x64/lib/ruby/3.0.0/fileutils.rb:253:in `mkdir': No such file or directory @ dir_s_mkdir - H:/.config (Errno::ENOENT)
from C:/Ruby30-x64/lib/ruby/3.0.0/fileutils.rb:253:in `fu_mkdir'
from C:/Ruby30-x64/lib/ruby/3.0.0/fileutils.rb:231:in `block (2 levels) in mkdir_p'
from C:/Ruby30-x64/lib/ruby/3.0.0/fileutils.rb:229:in `reverse_each'
from C:/Ruby30-x64/lib/ruby/3.0.0/fileutils.rb:229:in `block in mkdir_p'
from C:/Ruby30-x64/lib/ruby/3.0.0/fileutils.rb:211:in `each'
from C:/Ruby30-x64/lib/ruby/3.0.0/fileutils.rb:211:in `mkdir_p'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/vendor/deps/cli-kit/lib/cli/kit/config.rb:128:in `write_config'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/vendor/deps/cli-kit/lib/cli/kit/config.rb:55:in `set'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/lib/shopify-cli/context.rb:607:in `update_time_of_last_check'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/lib/shopify-cli/context.rb:560:in `new_version'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/lib/shopify-cli/core/entry_point.rb:13:in `call'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/bin/shopify:33:in `block in <main>'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/vendor/deps/cli-kit/lib/cli/kit/error_handler.rb:75:in `handle_abort'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/vendor/deps/cli-kit/lib/cli/kit/error_handler.rb:21:in `call'
from C:/Ruby30-x64/lib/ruby/gems/3.0.0/gems/shopify-cli-2.2.1/bin/shopify:32:in `<main>'

 

----

 

Some of the other version informations:

D:\>ruby --version
ruby 3.0.2p107 (2021-07-07 revision 0db68f0233) [x64-mingw32]

D:\>sqlite3 --version
3.36.0 2021-06-18 18:36:39 5c9a6c06871cb9fe42814af9c039eb6da5427a6ec28f187af7ebfb62eafa66e5

D:\>node --version
v14.17.4

D:\>yarn --version
1.22.11


D:\>gem install shopify-cli
Fetching shopify-cli-2.2.1.gem
Temporarily enhancing PATH for MSYS/MINGW...
Building native extensions. This could take a while...
Successfully installed shopify-cli-2.2.1
Parsing documentation for shopify-cli-2.2.1
Installing ri documentation for shopify-cli-2.2.1
Done installing documentation for shopify-cli after 8 seconds
1 gem installed

 

Let me know if anyone knows about a solution to this error.

Replies 2 (2)
Pratha
New Member
1 0 0

Hi,

Have you got any solution for this issue. I'm also facing the same issue. would be great if someone help me on this.

Pratha_0-1634173192075.png

 

OS: windows 10

Ruby:   Ruby+Devkit 2.7.4-1 (x64) Ruby+Devkit 3.0.2-1 (x64) (Tries in both versions)

Node: v12.22.3

 

joch82
New Member
2 0 0

I am having the same issue:

Windows 10

Ruby Installer 2.7.5

Shopify CLI (latest)

joch82_0-1643916736909.png